# Uses of Class
org.apache.datasketches.tuple.adouble.DoubleSummary

Packages that use DoubleSummary
Package
Description
org.apache.datasketches.tuple.adouble
This package is for a generic implementation of the Tuple sketch for single Double value.

## Uses of DoubleSummary in org.apache.datasketches.tuple.adouble

Methods in org.apache.datasketches.tuple.adouble that return DoubleSummary
Modifier and Type
Method
Description
`DoubleSummary`
DoubleSummary.`copy()`
`DoubleSummary`
DoubleSummarySetOperations.`intersection(DoubleSummary a, DoubleSummary b)`
`DoubleSummary`
DoubleSummaryFactory.`newSummary()`
`DoubleSummary`
DoubleSummarySetOperations.`union(DoubleSummary a, DoubleSummary b)`
`DoubleSummary`
DoubleSummary.`update(Double value)`
Methods in org.apache.datasketches.tuple.adouble that return types with arguments of type DoubleSummary
Modifier and Type
Method
Description
`static DeserializeResult<DoubleSummary>`
DoubleSummary.`fromMemory(org.apache.datasketches.memory.Memory mem)`
Creates an instance of the DoubleSummary given a serialized representation
`DeserializeResult<DoubleSummary>`
DoubleSummaryDeserializer.`heapifySummary(org.apache.datasketches.memory.Memory mem)`
Methods in org.apache.datasketches.tuple.adouble with parameters of type DoubleSummary
Modifier and Type
Method
Description
`DoubleSummary`
DoubleSummarySetOperations.`intersection(DoubleSummary a, DoubleSummary b)`
`DoubleSummary`
DoubleSummarySetOperations.`union(DoubleSummary a, DoubleSummary b)`